com.sun.grid.security.login

## Class NumericGroupPrincipal

- java.lang.Object
- - com.sun.grid.security.login.NumericGroupPrincipal

- All Implemented Interfaces:
    java.io.Serializable, java.security.Principal

      public class NumericGroupPrincipal
      extends java.lang.Object
      implements java.security.Principal, java.io.Serializable

  `Prinicipal` indentifing a group users. The name of the group is the group id.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericGroupPrincipal(long name, boolean primaryGroup)` Create a `NumericGroupPrincipal` using a long representation of the user's group identification number (GID).
    `NumericGroupPrincipal(java.lang.String name, boolean primaryGroup)` Create a `NumericGroupPrincipal` using a `String` representation of the user's group identification number (GID).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `NumericGroupPrincipal` for equality.
    `java.lang.String` | `getName()` Return the user's group identification number (GID) for this `NumericGroupPrincipal`.
    `int` | `hashCode()` Return a hash code for this `NumericGroupPrincipal`.
    `boolean` | `isPrimaryGroup()` Return whether this group identification number (GID) represents the primary group to which this user belongs.
    `long` | `longValue()` Return the user's group identification number (GID) for this `NumericGroupPrincipal` as a long.
    `java.lang.String` | `toString()` Return a string representation of this `NumericGroupPrincipal`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Constructor Detail

    - #### NumericGroupPrincipal

          public NumericGroupPrincipal(java.lang.String name,
                                       boolean primaryGroup)

      Create a `NumericGroupPrincipal` using a `String` representation of the user's group identification number (GID).

      Parameters:
        `name` - the user's group identification number (GID) for this user.

        `primaryGroup` - true if the specified GID represents the primary group to which this user belongs.
      Throws:
        `java.lang.NullPointerException` - if the `name` is `null`.

    - #### NumericGroupPrincipal

          public NumericGroupPrincipal(long name,
                                       boolean primaryGroup)

      Create a `NumericGroupPrincipal` using a long representation of the user's group identification number (GID).

      Parameters:
        `name` - the user's group identification number (GID) for this user represented as a long.

        `primaryGroup` - true if the specified GID represents the primary group to which this user belongs.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Return the user's group identification number (GID) for this `NumericGroupPrincipal`.

      Specified by:
        `getName` in interface `java.security.Principal`
      Returns:
        the user's group identification number (GID) for this `NumericGroupPrincipal`

    - #### longValue

          public long longValue()

      Return the user's group identification number (GID) for this `NumericGroupPrincipal` as a long.

      Returns:
        the user's group identification number (GID) for this `NumericGroupPrincipal` as a long.

    - #### isPrimaryGroup

          public boolean isPrimaryGroup()

      Return whether this group identification number (GID) represents the primary group to which this user belongs.

      Returns:
        true if this group identification number (GID) represents the primary group to which this user belongs, or false otherwise.

    - #### toString

          public java.lang.String toString()

      Return a string representation of this `NumericGroupPrincipal`.

      Specified by:
        `toString` in interface `java.security.Principal`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this `NumericGroupPrincipal`.

    - #### equals

          public boolean equals(java.lang.Object o)

      Compares the specified Object with this `NumericGroupPrincipal` for equality. Returns true if the given object is also a `NumericGroupPrincipal` and the two NumericGroupPrincipals have the same group identification number (GID).

      Specified by:
        `equals` in interface `java.security.Principal`
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - Object to be compared for equality with this `NumericGroupPrincipal`.
      Returns:
        true if the specified Object is equal equal to this `NumericGroupPrincipal`.

    - #### hashCode

          public int hashCode()

      Return a hash code for this `NumericGroupPrincipal`.

      Specified by:
        `hashCode` in interface `java.security.Principal`
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        a hash code for this `NumericGroupPrincipal`.